Get webhook
curl --request GET \
--url https://test-api.shodai.network/v0/webhooks/{id} \
--header 'X-API-Key: <api-key>'const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://test-api.shodai.network/v0/webhooks/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": {
"id": "wh_123",
"principalId": "principal_123",
"url": "https://example.com/shodai/webhooks",
"status": "active",
"eventTypes": [
"agreement.transitioned",
"agreement.notification.triggered"
],
"filters": {
"templateIds": [
"did:template:service-retainer-v0-1"
],
"ruleIds": [
"deployment-follow-up"
]
},
"createdAt": "2026-05-26T16:00:00.000Z",
"updatedAt": "2026-05-26T16:00:00.000Z"
},
"meta": {
"apiVersion": "v0",
"requestId": "req_123"
}
}{
"error": {
"code": "unauthorized",
"message": "Missing API key",
"requestId": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "unauthorized",
"message": "Missing API key",
"requestId": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "unauthorized",
"message": "Missing API key",
"requestId": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "unauthorized",
"message": "Missing API key",
"requestId": "<string>",
"details": "<unknown>"
}
}Webhooks
Get webhook
Returns one webhook subscription for the current API principal. The signing secret is not returned after creation.
GET
/
v0
/
webhooks
/
{id}
Get webhook
curl --request GET \
--url https://test-api.shodai.network/v0/webhooks/{id} \
--header 'X-API-Key: <api-key>'const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://test-api.shodai.network/v0/webhooks/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": {
"id": "wh_123",
"principalId": "principal_123",
"url": "https://example.com/shodai/webhooks",
"status": "active",
"eventTypes": [
"agreement.transitioned",
"agreement.notification.triggered"
],
"filters": {
"templateIds": [
"did:template:service-retainer-v0-1"
],
"ruleIds": [
"deployment-follow-up"
]
},
"createdAt": "2026-05-26T16:00:00.000Z",
"updatedAt": "2026-05-26T16:00:00.000Z"
},
"meta": {
"apiVersion": "v0",
"requestId": "req_123"
}
}{
"error": {
"code": "unauthorized",
"message": "Missing API key",
"requestId": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "unauthorized",
"message": "Missing API key",
"requestId": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "unauthorized",
"message": "Missing API key",
"requestId": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "unauthorized",
"message": "Missing API key",
"requestId": "<string>",
"details": "<unknown>"
}
}Authorizations
Canonical API-key credential. Send X-API-Key: cns_pk_..., or Authorization: Bearer cns_pk_... only as an API-key compatibility alias. OAuth and JWT bearer tokens are not supported.
Path Parameters
Webhook subscription ID.
Response
Webhook subscription.
Show child attributes
Show child attributes
Example:
{ "id": "wh_123", "principalId": "principal_123", "url": "https://example.com/shodai/webhooks", "status": "active", "eventTypes": [ "agreement.transitioned", "agreement.notification.triggered" ], "filters": { "templateIds": ["did:template:service-retainer-v0-1"], "ruleIds": ["deployment-follow-up"] }, "createdAt": "2026-05-26T16:00:00.000Z", "updatedAt": "2026-05-26T16:00:00.000Z" }
Show child attributes
Show child attributes
Was this page helpful?
⌘I